Loading...
Searching...
No Matches
elastix::ELASTIX Class Reference

`#include <elastixlib.h>`

## Detailed Description

Definition at line 39 of file elastixlib.h.

## Public Types

using | ConstImagePointer = Image::ConstPointer
using | Image = itk::DataObject
using | ImagePointer = Image::Pointer
using | ObjectPointer = elastix::ElastixMain::ObjectPointer
using | ParameterMapListType = std::vector<itk::ParameterFileParser::ParameterMapType>
using | ParameterMapType = itk::ParameterFileParser::ParameterMapType
using | ParameterValuesType = itk::ParameterFileParser::ParameterValuesType

## Public Member Functions

| ELASTIX ()
ImagePointer | GetResultImage ()
ConstImagePointer | GetResultImage () const
ParameterMapType | GetTransformParameterMap () const
ParameterMapListType | GetTransformParameterMapList () const
int | RegisterImages (ImagePointer fixedImage, ImagePointer movingImage, const ParameterMapType &parameterMap, const std::string &outputPath, bool performLogging, bool performCout, ImagePointer fixedMask=nullptr, ImagePointer movingMask=nullptr)
int | RegisterImages (ImagePointer fixedImage, ImagePointer movingImage, const std::vector< ParameterMapType > &parameterMaps, const std::string &outputPath, bool performLogging, bool performCout, ImagePointer fixedMask=nullptr, ImagePointer movingMask=nullptr, ObjectPointer transform=nullptr)
virtual | ~ELASTIX ()

## Private Attributes

ImagePointer | m_ResultImage
ParameterMapListType | m_TransformParametersList

## Member Typedef Documentation

## ConstImagePointer

using elastix::ELASTIX::ConstImagePointer = Image::ConstPointer

Definition at line 45 of file elastixlib.h.

## Image

using elastix::ELASTIX::Image = itk::DataObject

Definition at line 43 of file elastixlib.h.

## ImagePointer

using elastix::ELASTIX::ImagePointer = Image::Pointer

Definition at line 44 of file elastixlib.h.

## ObjectPointer

using elastix::ELASTIX::ObjectPointer = elastix::ElastixMain::ObjectPointer

Definition at line 53 of file elastixlib.h.

## ParameterMapListType

using elastix::ELASTIX::ParameterMapListType = std::vector<itk::ParameterFileParser::ParameterMapType>

Definition at line 50 of file elastixlib.h.

## ParameterMapType

using elastix::ELASTIX::ParameterMapType = itk::ParameterFileParser::ParameterMapType

Definition at line 49 of file elastixlib.h.

## ParameterValuesType

using elastix::ELASTIX::ParameterValuesType = itk::ParameterFileParser::ParameterValuesType

Definition at line 48 of file elastixlib.h.

## Constructor & Destructor Documentation

## ELASTIX()

elastix::ELASTIX::ELASTIX | ( |  | ) |

Constructor and destructor

## ~ELASTIX()

virtual elastix::ELASTIX::~ELASTIX | ( |  | ) |

virtual

## Member Function Documentation

## GetResultImage() [1/2]

ImagePointer elastix::ELASTIX::GetResultImage | ( |  | ) |

Getter for result image. Non-const overload

## GetResultImage() [2/2]

ConstImagePointer elastix::ELASTIX::GetResultImage | ( |  | ) | const

Getter for result image.

## GetTransformParameterMap()

ParameterMapType elastix::ELASTIX::GetTransformParameterMap | ( |  | ) | const

Get transform parameters of last registration step.

## GetTransformParameterMapList()

ParameterMapListType elastix::ELASTIX::GetTransformParameterMapList | ( |  | ) | const

Get transform parameters of all registration steps.

## RegisterImages() [1/2]

int elastix::ELASTIX::RegisterImages | ( | ImagePointer | fixedImage,
|  | ImagePointer | movingImage,
|  | const ParameterMapType & | parameterMap,
|  | const std::string & | outputPath,
|  | bool | performLogging,
|  | bool | performCout,
|  | ImagePointer | fixedMask = nullptr,
|  | ImagePointer | movingMask = nullptr )

The image registration interface functionality Note:

- itk::Image::PixelType must be the same as specified in ParameterMap ('Fixed/MovingInternalImagePixelType')
- Direction cosines are taken from fixed image (always set UseDirectionCosines TRUE) Params: fixedImage itk::Image note type should be the same as specified in the Parameterfile FixedInternalImagePixelType and dimensions! movingImage itk::Image note type should be the same as specified in the Parameterfile MovingInternalImagePixelType and dimensions! ParameterMap outputPath performLogging boolean indicating wether logging should be performed. NOTE: in case of logging also give a valid outputPath! performCout boolean indicating wether output should be send to command window fixedMask default no Mask present movingMask default no Mask present return value: 0 is success in case not 0 an error occurred 0 = success 1 = error -2 = output folder does not exist
  Todo
    generate file elastix_errors.h containing error codedefines (e.g. #define ELASTIX_NO_ERROR 0)

## RegisterImages() [2/2]

int elastix::ELASTIX::RegisterImages | ( | ImagePointer | fixedImage,
|  | ImagePointer | movingImage,
|  | const std::vector< ParameterMapType > & | parameterMaps,
|  | const std::string & | outputPath,
|  | bool | performLogging,
|  | bool | performCout,
|  | ImagePointer | fixedMask = nullptr,
|  | ImagePointer | movingMask = nullptr,
|  | ObjectPointer | transform = nullptr )

## Field Documentation

## m_ResultImage

ImagePointer elastix::ELASTIX::m_ResultImage

private

Definition at line 125 of file elastixlib.h.

## m_TransformParametersList

ParameterMapListType elastix::ELASTIX::m_TransformParametersList

private

Definition at line 128 of file elastixlib.h.

Generated on 1768596610 for elastix by 1.15.0 |